/* wu-ftpd <= 2.6.0 SITE EXEC Format String Vulnerability
 *
 *      Ref: http://www.osvdb.org/displayvuln.php?osvdb_id=11805
 *
 *      Vers: PIE 0.6
 *      Auth: Ben Hawkes
 *      Date: 06/11/05
 */


#include <stdio.h>
#include <libpie.h>

int main(void) {
	if (pie_begin("ftpd", "site_exec", 1, PIE_NO_OPT) == -1) {
		perror("pie_begin");
		exit(1);
	}

	if (pie_byte_count(1, '%', PIE_LESS_THAN, 1) == -1) {
		perror("pie_byte_count");
		exit(1);
	}
	
	if (pie_end(NULL, 0) == -1) {
		perror("pie_end");
		exit(1);
	}
}
